org.apache.cassandra.cql3.functions

## Interface ScalarFunction

- All Superinterfaces:
    AssignmentTestable, Function
  All Known Implementing Classes:
    FromJsonFct, NativeScalarFunction, ScriptBasedUDF, ToJsonFct, TokenFct, UDFunction

      public interface ScalarFunction
      extends Function

  Determines a single output value based on a single input value.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.AssignmentTestable

      `AssignmentTestable.TestResult`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.nio.ByteBuffer` | `execute(int protocolVersion, java.util.List<java.nio.ByteBuffer> parameters)` Applies this function to the specified parameter.
    `boolean` | `isCalledOnNullInput()`

    - ### Methods inherited from interface org.apache.cassandra.cql3.functions.Function

      `argTypes, getFunctions, hasReferenceTo, isAggregate, isNative, name, returnType`

    - ### Methods inherited from interface org.apache.cassandra.cql3.AssignmentTestable

      `testAssignment`

- - ### Method Detail

    - #### isCalledOnNullInput

          boolean isCalledOnNullInput()

    - #### execute

          java.nio.ByteBuffer execute(int protocolVersion,
                                      java.util.List<java.nio.ByteBuffer> parameters)
                               throws InvalidRequestException

      Applies this function to the specified parameter.
      Parameters:
        `protocolVersion` - protocol version used for parameters and return value
        `parameters` - the input parameters
      Returns:
        the result of applying this function to the parameter
      Throws:
        `InvalidRequestException` - if this function cannot not be applied to the parameter

Copyright © 2018 The Apache Software Foundation